You are not logged in.

#1 2021-11-20 14:55:57

udhay
Member
Registered: 2021-11-20
Posts: 5

error while installling gns3 using yay

Traceback (most recent call last):
  File "/home/neo/.cache/yay/python-sentry_sdk/src/sentry-sdk-1.4.3/setup.py", line 12, in <module>
    from setuptools import setup, find_packages
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 16, in <module>
    import setuptools.version
  File "/usr/lib/python3.9/site-packages/setuptools/version.py", line 1, in <module>
    import pkg_resources
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 559, in _build_master
    ws = cls()
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 552, in __init__
    self.add_entry(entry)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 608, in add_entry
    for dist in find_distributions(entry, True):
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2063, in find_on_path
    for dist in factory(fullpath):
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2128, in distributions_from_metadata
    yield Distribution.from_location(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2588, in from_location
    return cls(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2989, in _reload_version
    md_version = self._get_version()
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2770, in _get_version
    version = _version_from_file(lines)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2554, in _version_from_file
    line = next(iter(version_lines), '')
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2765, in _get_metadata
    for line in self.get_metadata_lines(name):
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1417, in get_metadata_lines
    return yield_lines(self.get_metadata(name))
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1409, in get_metadata
    return value.decode('utf-8')
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x9b in position 0: invalid start byte in PKG-INFO file at path: /usr/lib/python3.9/site-packages/prefixed-0.3.2-py3.9.egg-info/PKG-INFO
==> ERROR: A failure occurred in build().
    Aborting...
-> error making: python-sentry_sdk

Offline

#2 2021-11-20 15:46:12

loqs
Member
Registered: 2014-03-06
Posts: 14,282

Re: error while installling gns3 using yay

Please use code tags for commands and their outputs.
What is the output of

pacman -Qo /usr/lib/python3.9/site-packages/prefixed-0.3.2-py3.9.egg-info/PKG-INFO

Offline

#3 2021-11-20 19:39:47

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 10,507
Website

Re: error while installling gns3 using yay

Mod note: Moving to AUR Issues.


Sakura:-
Mobo: MSI MEG B550 UNIFY // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#4 2021-11-21 08:13:56

udhay
Member
Registered: 2021-11-20
Posts: 5

Re: error while installling gns3 using yay

[neo@arch ~]$ pacman -Qo /usr/lib/python3.9/site-packages/prefixed-0.3.2-py3.9.egg-info/PKG-INFO
/usr/lib/python3.9/site-packages/prefixed-0.3.2-py3.9.egg-info/PKG-INFO is owned by python-prefixed 0.3.2-1
[neo@arch ~]$

Offline

#5 2021-11-21 15:19:17

loqs
Member
Registered: 2014-03-06
Posts: 14,282

Re: error while installling gns3 using yay

pacman -Qi python-prefixed

Offline

#6 2021-11-22 12:29:35

udhay
Member
Registered: 2021-11-20
Posts: 5

Re: error while installling gns3 using yay

[neo@arch ~]$ pacman -Qi python-prefixed
Name            : python-prefixed
Version         : 0.3.2-1
Description     : Prefixed alternative numeric library.
Architecture    : any
URL             : https://pypi.org/project/prefixed/#files
Licenses        : MPL
Groups          : None
Provides        : None
Depends On      : python
Optional Deps   : None
Required By     : python-enlighten
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 40.91 KiB
Packager        : Levon Kayan <noptrix@nullsecurity.net>
Build Date      : Mon Jun 28 03:53:22 2021
Install Date    : Tue Nov 16 22:22:37 2021
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature

Offline

#7 2021-11-22 12:34:07

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,751

Re: error while installling gns3 using yay

So this is BlackArch, not Arch?

Offline

#8 2021-11-22 12:56:29

udhay
Member
Registered: 2021-11-20
Posts: 5

Re: error while installling gns3 using yay

no, blackarch on top of arch

Offline

#9 2021-11-22 12:57:03

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,751

Re: error while installling gns3 using yay

And yet BlackArch is what's causing your problems.

Offline

#10 2021-11-22 13:02:37

udhay
Member
Registered: 2021-11-20
Posts: 5

Re: error while installling gns3 using yay

ohh what to do, how to solve that

Last edited by udhay (2021-11-22 13:08:16)

Offline

#11 2021-11-22 14:27:01

seth
Member
Registered: 2012-09-03
Posts: 25,113

Re: error while installling gns3 using yay

Well… uninstall blackarch.
Or fix the PKG-BUILD - there's a control character in it.
Or ask the blackarch maintainers to do that.

no, blackarch on top of arch

Can somebody please explain to a non-native english speaker how that is different from blackarch?

Offline

Board footer

Powered by FluxBB